#!/bin/sh

# Usage: to make a bunch of xx.html files type ./$0 xx

LANG=$1
PO="../i18n/$LANG.txt"

if [ -f $PO ]; then

    echo "Applying translations in $PO:"

    find ./ -name en.html \
    | while read line ; do
    
        echo "  Creating: $dest"
        dest=`echo $line | sed s/en.html$/$LANG.html/`
        perl ../tools/2lang.pl $LANG < $line > $dest

    done

else

    echo "Error: Translation file $PO not found"

fi
